package roseindia.net;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class CheckServlet extends HttpServlet {
	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException {
		PrintWriter out = response.getWriter();
		response.setContentType("text/html");
		String name = request.getParameter("userName");
		if (name != null && name.equalsIgnoreCase("web")) {
			out.println("<Center><h3>");
			out.println("Forwarding Request.........");
			out.println("</h3></Center>");
			// forwarding using Request Dispatcher
			ServletContext servletContext = getServletContext();
			RequestDispatcher requestDispatcher = servletContext
					.getRequestDispatcher("/home");
			requestDispatcher.forward(request, response);
			// Or you can use same thing as
			// response.sendRedirect("/home");

		} else {
			ServletContext servletContext = getServletContext();
			RequestDispatcher requestDispatcher = servletContext
					.getRequestDispatcher("/error");
			requestDispatcher.forward(request, response);
			// response.sendRedirect("/error");
		}
	}

	public void doPost(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException {
		doGet(request, response);
	}
}